> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stockinsights.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Announcements Tagged Feed

> The Announcements Tagged Feed API delivers a real-time stream of Corporate filings disclosed to BSE/NSE exchanges, each tagged with AI-generated insights including summaries, category tags (drawn from a predefined set of categories), and sentiment tags. Users can utilize this tagged feed to monitor daily updates on material events reported by companies, enabling them to build custom email notification systems or display widgets for tracking significant corporate disclosures in their apps.



## OpenAPI

````yaml openapi-india get /api/in/v0/documents/announcement
openapi: 3.0.0
info:
  title: stockinsights.ai APIs
  description: All the APIs of stockinsights.ai
  version: 1.0.0
servers:
  - url: https://stockinsights-ai-main-95a26a0.zuplo.app
security:
  - bearerAuth: []
paths:
  /api/in/v0/documents/announcement:
    get:
      summary: Announcements Tagged Feed
      description: >-
        The Announcements Tagged Feed API delivers a real-time stream of
        Corporate filings disclosed to BSE/NSE exchanges, each tagged with
        AI-generated insights including summaries, category tags (drawn from a
        predefined set of categories), and sentiment tags. Users can utilize
        this tagged feed to monitor daily updates on material events reported by
        companies, enabling them to build custom email notification systems or
        display widgets for tracking significant corporate disclosures in their
        apps.
      operationId: getAnnouncementFeed
      parameters:
        - name: ticker
          in: query
          description: >-
            Exchange:Ticker of companies. Multiple tickers can be provided
            separated by commas. Example - NSE:ZOMATO, BSE:TCS. Get tickers from
            [Company
            Details](https://drive.google.com/file/d/1oeghBbg6HmW5hl5MDR4CUFZDYYIjJorQ/view).
          schema:
            type: string
          required: false
        - name: from_date
          in: query
          description: >-
            Start date in YYYY-MM-DD format. Use this parameter to filter data
            from a specific start date.
          schema:
            type: string
          required: false
        - name: to_date
          in: query
          description: >-
            End date in YYYY-MM-DD format. Use this parameter to filter data
            till a specific end date.
          schema:
            type: string
          required: false
        - name: announcement_type_id
          in: query
          description: >-
            Comma-separated Announcement Category IDs (Allowed Values - 1 to
            26). Check the [corporate-announcements-types
            mapping](https://drive.google.com/file/d/1NcYE5nV5x2IRNZzYu_GMH_iSuh1aiVXe/view).
          schema:
            type: string
          required: false
        - name: sentiment
          in: query
          description: >-
            Comma-separated sentiment values (Allowed values - positive,
            negative, neutral).
          schema:
            type: string
          required: false
        - name: sector
          in: query
          description: >-
            Sector classification of the companies. Multiple values can be
            provided separated by commas. Get valid sector values from [Company
            Details](https://drive.google.com/file/d/1oeghBbg6HmW5hl5MDR4CUFZDYYIjJorQ/view).
          schema:
            type: string
          required: false
        - name: industry
          in: query
          description: >-
            Industry classification of the companies. Multiple values can be
            provided separated by commas. Check valid industry values from
            [Company
            Details](https://drive.google.com/file/d/1oeghBbg6HmW5hl5MDR4CUFZDYYIjJorQ/view).
          schema:
            type: string
          required: false
        - name: limit
          in: query
          description: >-
            The number of results to return per page. This parameter is optional
            and defaults to 20 if not specified. Maximum value is 50.
          schema:
            type: integer
            maximum: 50
          required: false
        - name: page
          in: query
          description: >-
            Page number for pagination. This parameter is optional and defaults
            to 1 if not specified.
          schema:
            type: integer
            minimum: 1
          required: false
      responses:
        '200':
          description: Success response. Contains Paginated Announcements.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Announcement'
                  meta:
                    type: object
                    items:
                      $ref: '#/components/schemas/Meta'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Announcement:
      type: object
      description: >-
        Each announcement is tagged with AI-generated insights, such as summary,
        category tags from a predefined set of categories and sentiment of the
        announcement content.
      properties:
        id:
          type: string
          description: Internal ID of the announcement
        type:
          type: string
          description: Document type. By default, the value is announcement
        ticker:
          type: string
          description: Internal ticker representation for the company.
        company_name:
          type: string
        exchange_tickers:
          description: Contains the company ticker information in BSE, NSE.
          type: array
          items:
            $ref: '#/components/schemas/ExchangeTicker'
        source_link:
          type: string
          description: The link to the raw announcement document.
        ai_insights:
          type: object
          properties:
            announcement_type_id:
              description: >-
                Announcement category/type ID. Example - An announcement could
                be marked as Company Merger(ID=1)
              type: string
            announcement_type:
              description: >-
                The category/type name. Example - An announcement could be
                marked as Company Merger(ID=1)
              type: string
            summary_header:
              type: string
              description: AI-generated summary header for the announcement
            summary_text:
              type: string
              description: AI-generated summary for the announcement
            sentiment:
              type: string
              description: Sentiment of the announcement.
              enum:
                - positive
                - negative
                - neutral
        published_date:
          type: string
          format: date-time
          description: UTC Timestamp of the announcement published date-time
    Meta:
      type: object
      properties:
        total_count:
          type: integer
          format: int64
          description: Total Announcemnt count for the given request parameters.
        page:
          type: integer
          format: int64
          description: Current Page number.
        limit:
          type: integer
          format: int64
          description: Number of Announcements in the current response.
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                description: Error status
              title:
                type: string
                description: Error description
              message:
                type: string
                description: Detailed error message (optional)
    ExchangeTicker:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - BSE
            - NSE
          description: Exchange Name
        ticker:
          type: string
          description: Company ticker in the exchange
        id:
          type: string
          description: Company ID/Code in the exchange. Not present for NSE
        url:
          type: string
          description: Company URL in the exchange
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````